Bug 1382655 - Review Request: pology - CLI tools for PO files processing
Summary: Review Request: pology - CLI tools for PO files processing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-07 10:21 UTC by Parag Nemade
Modified: 2016-12-06 10:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 21:40:49 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2016-10-07 10:21:55 UTC
Spec URL: http://pnemade.fedorapeople.org//pology.spec
SRPM URL: http://pnemade.fedorapeople.org//pology-0.12-1.fc25.src.rpm

Description:
Pology is a Python library and collection of command-line tools
for in-depth processing of PO files, which are the predominant
medium for translation of free software and associated documents.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-10-29 23:02:58 UTC
Why python2? Does it not work with python3?

make DESTDIR=$RPM_BUILD_ROOT install
→ %make_install

make VERBOSE=1 %{?_smp_mflags}
→ %make_build VERBOSE=1

%autosetup -n  %{name}-%{version}
→ %autosetup

Licene tag says "GPLv3+", but you install two license files. On purpose?

Comment 2 Parag Nemade 2016-10-31 05:50:52 UTC
Thanks for your review comment. Will post update soon in next 2 weeks.

Comment 3 Parag Nemade 2016-11-13 09:17:13 UTC
Updated to fix comment#1 issues

Spec URL: http://pnemade.fedorapeople.org/pology.spec
SRPM URL: http://pnemade.fedorapeople.org/pology-0.12-2.fc25.src.rpm

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-11-13 15:31:04 UTC
/usr/share/doc/pology/api/ should be moved into python2-pology, or even possibly into pology-doc (as it describe the python API, iiuc).

Fedora-review says:
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2457600 bytes in 111 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

OTOH, pology-bash-completion should be merged into main pology rpm. There's no reason to have it separate, and it slows down the distribution and makes it's harder to use when there's too many packages.

Rpmlint
-------
Checking: pology-0.12-2.fc26.noarch.rpm
          python2-pology-0.12-2.fc26.noarch.rpm
          pology-bash-completion-0.12-2.fc26.noarch.rpm
          pology-0.12-2.fc26.src.rpm
pology.noarch: W: no-manual-page-for-binary poascribe
pology.noarch: W: no-manual-page-for-binary poepatch
pology.noarch: W: no-manual-page-for-binary porewrap
pology.noarch: W: no-manual-page-for-binary normalize-aspell-word-list
pology.noarch: W: no-manual-page-for-binary pomtrans
pology.noarch: W: no-manual-page-for-binary poselfmerge
pology.noarch: W: no-manual-page-for-binary pohybdl
pology.noarch: W: no-manual-page-for-binary traplint
pology.noarch: W: no-manual-page-for-binary posieve
pology.noarch: W: no-manual-page-for-binary posummit
pology.noarch: W: no-manual-page-for-binary poediff
python2-pology.noarch: W: no-documentation
pology-bash-completion.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 13 warnings.

That's OK, and the last two warnings should go away if packages are rearranged.

Everything looks good, but I'm not setting the flag yet. Please rearrange the subpackages.

Comment 5 Parag Nemade 2016-11-16 03:48:29 UTC
Updated to fix comment#4 issues

Spec URL: http://pnemade.fedorapeople.org/pology.spec
SRPM URL: http://pnemade.fedorapeople.org/pology-0.12-3.fc25.src.rpm

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-11-16 05:15:03 UTC
+ package name is OK
+ license is acceptable (GPLv3+ and BSD)
+ license is specified correctly
+ builds and installs OK
+ python macros are used
+ %python_provide is used
+ fedora-review is happy
+ latest version (even if it's not very fresh ;))

Rpmlint
-------
Checking: pology-0.12-3.fc26.noarch.rpm
          python2-pology-0.12-3.fc26.noarch.rpm
          pology-doc-0.12-3.fc26.noarch.rpm
          pology-0.12-3.fc26.src.rpm
pology.noarch: W: no-manual-page-for-binary poediff
pology.noarch: W: no-manual-page-for-binary porewrap
... etc ...
python2-pology.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 12 warnings.

Package is APPROVED.

Comment 7 Parag Nemade 2016-11-16 05:45:39 UTC
Thank you for this package review. 

Yes the only recent released tarball is from 2014 ;-)

Comment 8 Gwyn Ciesla 2016-11-16 13:33:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pology

Comment 9 Fedora Update System 2016-11-21 09:15:01 UTC
pology-0.12-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9cc099083

Comment 10 Fedora Update System 2016-11-21 11:11:46 UTC
pology-0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e476bd5f7

Comment 11 Fedora Update System 2016-11-23 20:31:37 UTC
pology-0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e476bd5f7

Comment 12 Fedora Update System 2016-11-23 23:05:58 UTC
pology-0.12-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9cc099083

Comment 13 Fedora Update System 2016-12-05 21:40:49 UTC
pology-0.12-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-06 10:24:58 UTC
pology-0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.